## org.eclipse.amp.amf.abase.aBase
Interface BooleanValue

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Value

All Known Implementing Classes:
  BooleanValueImpl

    public interface BooleanValue

extends Value

A representation of the model object 'Boolean Value'.

The following features are supported:

- `Value`

See Also:
  `ABasePackage.getBooleanValue()`

Method Summary
`BOOLEAN` `getValue()` Returns the value of the 'Value' attribute.
`void` `setValue(BOOLEAN value)` Sets the value of the '`Value`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getValue

    BOOLEAN getValue()

  Returns the value of the 'Value' attribute. The literals are from the enumeration `BOOLEAN`.

  If the meaning of the 'Value' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value' attribute.
  See Also:
    `BOOLEAN`, `setValue(BOOLEAN)`, `ABasePackage.getBooleanValue_Value()`

### setValue

    void setValue(BOOLEAN value)

  Sets the value of the '`Value`' attribute.

  Parameters:
    `value` - the new value of the 'Value' attribute.
  See Also:
    `BOOLEAN`, `getValue()`